Skip to main content
GET
/
{org}
/
api-keys
List API keys
curl --request GET \
  --url https://api.mesa.dev/v1/{org}/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "next_cursor": "<string>",
  "has_more": true,
  "api_keys": [
    {
      "id": "<string>",
      "name": "<string>",
      "scopes": [
        "<string>"
      ],
      "repo_ids": [
        "<string>"
      ],
      "metadata": {},
      "tags": {},
      "last_used_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "revoked_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.mesa.dev/llms.txt

Use this file to discover all available pages before exploring further.

Required scope: admin

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

cursor
string

Opaque pagination cursor from a previous response

limit
integer

Maximum number of items to return (max 100)

Required range: 1 <= x <= 100
query
string

Filter API keys by name

Minimum string length: 1
status
enum<string>
default:all
Available options:
active,
revoked,
expired,
all
scope
enum<string>

Filter API keys by scope membership

Available options:
read,
write,
admin
repo_id
string

Filter API keys scoped to a specific repository id

Response

API keys list

next_cursor
string | null
required

Cursor for the next page, or null when no more results remain

has_more
boolean
required

Whether another page of results is available

api_keys
object[]
required